Subject: [alpine-devel] [PATCH] new aport: libiptcdata

From: ScrumpyJack <[email-masked]>
Date: Wed, 20 May 2015 16:38:38 +0000 (UTC)

libiptcdata is a C library for manipulating IPTC metadata within multimedia
---
 testing/libiptcdata/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/libiptcdata/APKBUILD

diff --git a/testing/libiptcdata/APKBUILD b/testing/libiptcdata/APKBUILD
new file mode 100644
index 0000000..8473f77
--- /dev/null
+++ b/testing/libiptcdata/APKBUILD
@@ -0,0 +1,42 @@
+# Contributor: ScrumpyJack <[email-masked]>
+# Maintainer:
+pkgname=libiptcdata
+pkgver=1.0.4
+pkgrel=0
+pkgdesc="libiptcdata is a C library for manipulating IPTC metadata within multimedia"
+url="http://libiptcdata.sourceforge.net/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir=${srcdir}/${pkgname}-${pkgver}
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+     }
+
+
+build() {
+	cd "$_builddir"
+        ./configure --prefix=/usr || return 1
+        make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        make DESTDIR="$pkgdir/" install
+}
+
+md5sums="af886556ecb129b694f2d365d03d95a8  libiptcdata-1.0.4.tar.gz"
+sha256sums="79f63b8ce71ee45cefd34efbb66e39a22101443f4060809b8fc29c5eebdcee0e  libiptcdata-1.0.4.tar.gz"
+sha512sums="8656b2febaec133d1a8783252047672bebd58ae9ceab5477c4acfa35bcc381dfda08b655a957b962878af28c69deff77d920e780c84b4debdff2f980b3de94e8  libiptcdata-1.0.4.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---